package com.sw.mes.fb.checkout.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.fb.checkout.dto.SquareRodNumberDto;
import com.sw.mes.fb.checkout.entity.PickUpCheck;
import com.sw.mes.fb.checkout.entity.SquareRodNumber;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface SquareRodNumberService extends BaseService<SquareRodNumber> {
    String getFbSectionNo(String point);
    SquareRodNumber getSquareRodNumber(String point);
    List<SquareRodNumber> getSquareRodNumbers(String point);
    List<SquareRodNumber> getSquareRodNumbersBySectionNo(String sectionNo);
    void sendToMcsData(String point);
    void saveData(SquareRodNumber squareRodNumber);

}
